## crtmpserver-2012-07-18+git-b6fdcdb953d1e99c48a0c37a8c80f2cad2db443b.tar.bz2

=== builders/cmake/lua/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(lua)


IF(CMAKE_SYSTEM_NAME MATCHES "FreeBSD" OR CMAKE_SYSTEM_NAME MATCHES "OpenBSD")
    ADD_DEFINITIONS(-DLUA_USE_LINUX)
ELSEIF(CMAKE_SYSTEM_NAME MATCHES "Darwin")
    ADD_DEFINITIONS(-DLUA_USE_LINUX)
ELSEIF(CMAKE_SYSTEM_NAME MATCHES "Linux")
    ADD_DEFINITIONS(-DLUA_USE_LINUX)
ELSEIF(CMAKE_SYSTEM_NAME MATCHES "SunOS")
    ADD_DEFINITIONS(-DLUA_USE_POSIX)
    ADD_DEFINITIONS(-DLUA_USE_DLOPEN)
ELSE(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
    MESSAGE(FATAL_ERROR "Platform ${CMAKE_SYSTEM_NAME} not supported yet")
ENDIF(CMAKE_SYSTEM_NAME MATCHES "FreeBSD" OR CMAKE_SYSTEM_NAME MATCHES "OpenBSD")


#make the list with all the source files
FILE(GLOB_RECURSE SOURCES "${CRTMPSERVER_3RDPARTY_ROOT}/lua-dev/*.c" )

#prepare the include directories
INCLUDE_DIRECTORIES(
	${LUA_INCLUDE_PATH}
)

#create the library
ADD_LIBRARY(${PROJECT_NAME} ${LIB_TYPE} ${SOURCES})
IF(${LIB_TYPE} MATCHES "SHARED")
    INSTALL(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CRTMPSERVER_ROOT})
ENDIF(${LIB_TYPE} MATCHES "SHARED")

=== appscaffold/templates/builders/cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(#APPNAME_LC#)

#make the list with all the source files
FILE(GLOB_RECURSE SOURCES "${CRTMPSERVER_SOURCES_ROOT}/applications/${PROJECT_NAME}/src/*.cpp" )

SET(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${CRTMPSERVER_ROOT}/${PROJECT_NAME}")

#prepare the include directories
INCLUDE_DIRECTORIES(
	${OPENSSL_INCLUDE_PATH}
	${LUA_INCLUDE_PATH}
	${CRTMPSERVER_SOURCES_ROOT}/common/include
	${CRTMPSERVER_SOURCES_ROOT}/thelib/include
	${CRTMPSERVER_SOURCES_ROOT}/applications/${PROJECT_NAME}/include
	)

string(TOUPPER ${PROJECT_NAME} TEMP_APP_NAME)
SET_PROPERTY(GLOBAL APPEND PROPERTY ACTIVE_APPS "-DHAS_APP_${TEMP_APP_NAME}")
SET_PROPERTY(GLOBAL APPEND PROPERTY ACTIVE_APPS_LIBS "${PROJECT_NAME}")

#create the library
ADD_LIBRARY(${PROJECT_NAME} ${LIB_TYPE} ${SOURCES})
ADD_PRECOMPILED_HEADER(${PROJECT_NAME} "${CRTMPSERVER_SOURCES_ROOT}/common/include/common.h")
IF(${LIB_TYPE} MATCHES "SHARED")
    TARGET_LINK_LIBRARIES(${PROJECT_NAME} thelib)
    INSTALL(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CRTMPSERVER_ROOT}/${PROJECT_NAME})
ENDIF(${LIB_TYPE} MATCHES "SHARED")

=== builders/packing/freebsd/port_template/Makefile ===
# New ports collection makefile for:   crtmpserver
# Date created:        5 December 1994
# Whom:                shiretu
#
# $FreeBSD$
#

PORTNAME=	##_PORTNAME_##
PORTVERSION=	##_PORTVERSION_##
PORTREVISION=	1
CATEGORIES=	##_PORTCATEGORIES_##
MASTER_SITES=	http://freebsd.rtmpd.com/

MAINTAINER=	support@rtmpd.com
COMMENT=	C++ RTSP/RTMP/MPEG-TS Server

LIB_DEPENDS=	execinfo:${PORTSDIR}/devel/libexecinfo

USE_LUA=	5.1-5.1
WANT_LUA_VER=	5.1

USE_CMAKE=	yes
CMAKE_OUTSOURCE=	yes
CMAKE_SOURCE_PATH=	${WRKSRC}/builders/cmake
CMAKE_BUILD_TYPE=	Release
CMAKE_ARGS=	-DCRTMPSERVER_INSTALL_PREFIX:STRING=${CMAKE_INSTALL_PREFIX} -DTEMP_FRAMEWORK_VER=##_PORTVERSION_##
USE_LDCONFIG=	1

USERS=	crtmpserver
GROUPS=	crtmpserver

USE_RC_SUBR=	crtmpserver

MAN1=	crtmpserver.1

pre-install:
	@sh $(WRKSRC)/fixConfFile.sh "${WRKSRC}/builders/cmake/crtmpserver/crtmpserver.lua" "${PREFIX}" "${WRKSRC}"

post-install:
	@if [ ! -f ${PREFIX}/etc/crtmpserver.lua ]; then \
		${CP} -p ${PREFIX}/etc/crtmpserver.lua.sample ${PREFIX}/etc/crtmpserver.lua ; \
	fi

.include <bsd.port.mk>

=== builders/packing/debian/debian/control ===
Source: crtmpserver
Section: video
Priority: optional
Maintainer: Andriy Beregovenko <jet@jet.kiev.ua>
Build-Depends: cmake,
 debhelper (>= 7.0.50~),
 liblua5.1-0-dev,
 libssl-dev,
 libtinyxml-dev
Standards-Version: 3.9.1
Homepage: http://www.rtmpd.com

Package: crtmpserver
Architecture: any
Depends: ${shlibs:Depends}, 
 ${misc:Depends},
 openssl,
 liblua5.1-0,
 libtinyxml2.5.3 | libtinyxml2.6.2
Pre-Depends: adduser
Description: High performance RTMP/RTSP streaming server
 crtmpserver is a high performance streaming server able to stream
 (live or recorded) in the following technologies:
  - To and from Flash (RTMP,RTMPE, RTMPS, RTMPT, RTMPTE)
  - To and from embedded devices: iPhone, Android
  - From surveillance cameras
  - IP-TV using MPEG-TS and RTSP/RTCP/RTP protocols
 .
 Also, crtmpserver can be used as a high performance rendes-vous server.
 For example, it enables you to do:
  - Audio/Video conferencing
  - Online gaming
  - Online collaboration
  - Simple/complex chat applications
